//--------------------------------------------------------------
// Press F1 to get help about using script.
// To access an object that is not located in the current class, start the call with Globals.
// When using events and timers be cautious not to generate memoryleaks,
// please see the help for more information.
//---------------------------------------------------------------

namespace Neo.ApplicationFramework.Generated
{
    using System.Windows.Forms;
    using System;
    using System.Drawing;
    using Neo.ApplicationFramework.Tools;
    using Neo.ApplicationFramework.Common.Graphics.Logic;
    using Neo.ApplicationFramework.Controls;
	using Neo.ApplicationFramework.Interfaces;

	//Added
	using System.IO;
	using System.Reflection;
    
    
    public partial class SaveData
    {
		Reporting reporting = new Reporting();
		
		void SaveData_Opened(System.Object sender, System.EventArgs e)
		{
			reporting.Path = Path.GetDirectoryName(Assembly.GetExecutingAssembly().ManifestModule.FullyQualifiedName) 
				+ @"\Project Files\Reports\Generated";
			
			reporting.Initialize();
		}
		
		void btnSave_Click(System.Object sender, System.EventArgs e)
		{
			reporting.SaveReport(alnReportName.Text);
		}
		
		void btnOpenFile_Click(System.Object sender, System.EventArgs e)
		{
			reporting.OpenFolder(alnReportName.Text + ".xls");
		}
		
		void btnOpenFolder_Click(System.Object sender, System.EventArgs e)
		{
			reporting.OpenFolder(null);	
		}
		
		void btnOpenLast_Click(System.Object sender, System.EventArgs e)
		{
			reporting.OpenFolder(reporting.LastSavedReportName + ".xls");	
		}
    }
}
